 --
 -- Lua for grimme tectron cutter in LS 2011
 -- @author  usxi7sd
 -- @date  10/2012
 --

cutting = {};

function cutting.prerequisitesPresent(specializations)
    return true;
end;

function cutting:load(xmlFile)
	self.visibility1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.visibility1#index"));
	setVisibility(self.visibility1, false);
end;

function cutting:delete()
end;
function cutting:mouseEvent(posX, posY, isDown, isUp, button)
end;
function cutting:keyEvent(unicode, sym, modifier, isDown)
end;

function cutting:update(dt)
	if self:getIsActive() then	
		local chopperPSenabled = false;  
		if self.attacherVehicle ~= nil then   --  Abfrage von Combine ob .....  
			chopperPSenabled = self.attacherVehicle.chopperPSenabled;   
        end;		
        if chopperPSenabled then
			setVisibility(self.visibility1, true); -- frderplane
		  else
			setVisibility(self.visibility1, false);  
		end;
	end;	
end;

function cutting:updateTick(dt)
end;
function cutting:draw()	
end;
function cutting:onDetach()
	setVisibility(self.visibility1, false);
end;




